Game Develop Core: gd::ResourceFolder Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::ResourceFolder Class Reference

## Public Member Functions

| ResourceFolder (const ResourceFolder &)
ResourceFolder & | operator= (const ResourceFolder &rhs)
virtual void | SetName (const std::string &name_)
virtual const std::string & | GetName () const
virtual void | AddResource (const std::string &name, gd::ResourcesManager &parentManager)
virtual void | RemoveResource (const std::string &name)
virtual bool | HasResource (const std::string &name) const
virtual Resource & | GetResource (const std::string &name)
virtual const Resource & | GetResource (const std::string &name) const
virtual std::vector< std::string > | GetAllResourcesList ()
virtual bool | MoveResourceUpInList (const std::string &name)
virtual bool | MoveResourceDownInList (const std::string &name)
virtual void | LoadFromXml (const TiXmlElement *elem, gd::ResourcesManager &parentManager)
virtual void | SaveToXml (TiXmlElement *elem) const

## Member Function Documentation

void gd::ResourceFolder::AddResource | ( | const std::string & | name,
|  | gd::ResourcesManager & | parentManager
| ) |  |

virtual

Add a resource from an already existing resource.

std::vector< std::string > gd::ResourceFolder::GetAllResourcesList | ( | ) |  |

virtual

Get a list containing the name of all of the resources.

virtual const std::string& gd::ResourceFolder::GetName | ( | ) |  | const

inlinevirtual

Return the name of the folder.

Resource & gd::ResourceFolder::GetResource | ( | const std::string & | name) |  |

virtual

Return a reference to a resource.

const Resource & gd::ResourceFolder::GetResource | ( | const std::string & | name) |  | const

virtual

Return a reference to a resource.

bool gd::ResourceFolder::HasResource | ( | const std::string & | name) |  | const

virtual

Return true if a resource is in the folder.

void gd::ResourceFolder::LoadFromXml | ( | const TiXmlElement * | elem,
|  | gd::ResourcesManager & | parentManager
| ) |  |

virtual

Load an xml element.

bool gd::ResourceFolder::MoveResourceDownInList | ( | const std::string & | name) |  |

virtual

Move a resource down in the list

bool gd::ResourceFolder::MoveResourceUpInList | ( | const std::string & | name) |  |

virtual

Move a resource up in the list

void gd::ResourceFolder::RemoveResource | ( | const std::string & | name) |  |

virtual

Remove a resource

void gd::ResourceFolder::SaveToXml | ( | TiXmlElement * | elem) |  | const

virtual

Save to an xml element.

virtual void gd::ResourceFolder::SetName | ( | const std::string & | name_) |  |

inlinevirtual

Change the name of the folder with the name passed as parameter.

The documentation for this class was generated from the following files:

- ResourcesManager.h
- ResourcesManager.cpp